/// <reference types="react" />
import { XBaseControl } from "./XBaseControl";
import { ValidationIssue } from "../../Common/IDesignValidationProvider";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
export declare class XLabel extends XBaseControl {
    text: string;
    htmlFor: string;
    valueName?: string;
    fromData: boolean;
    maxLength: number;
    constructor();
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getDesignValidationIssues(): ValidationIssue[];
    getRuntimeValidationIssues(): ValidationIssue[];
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
}
